Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.crypto
Interface SecretKey

All Superinterfaces:
  Key, Serializable

All Known Subinterfaces:
  PBEKey

All Known Implementing Classes:
  KerberosKey, SecretKeySpec

public interface SecretKey
extends Key

A secret (symmetric) key.

This interface contains no methods or constants. Its only purpose is to group (and provide type safety for) secret keys.

Provider implementations of this interface must overwrite the `equals` and `hashCode` methods inherited from `java.lang.Object`, so that secret keys are compared based on their underlying key material and not based on reference.

Keys that implement this interface return the string `RAW` as their encoding format (see `getFormat`), and return the raw key bytes as the result of a `getEncoded` method call. (The `getFormat` and `getEncoded` methods are inherited from the `java.security.Key` parent interface.)

Since:
  1.4
See Also:
  `SecretKeyFactory`, `Cipher`

Field Summary

Fields inherited from interface java.security.Key
`serialVersionUID`

Methods inherited from interface java.security.Key
`getAlgorithm, getEncoded, getFormat`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.